OhMyGPT
Status

Get status summary

GET
/v1/status/summary

Returns global public status, component summaries, active incidents, and maintenance windows.

Response Body

Successful response

application/json
  1. response
code*integer
data*
message*string
success*boolean
Example Request
curl -X GET 'https://api.ohmygpt.com/v1/status/summary'
Example Response
{  "code": 0,  "data": {    "active_incidents": [      {        "acknowledged_at": "2019-08-24T14:15:22Z",        "affected_components": [          "string"        ],        "created_at": "2019-08-24T14:15:22Z",        "id": "string",        "resolved_at": "2019-08-24T14:15:22Z",        "severity": "string",        "status": "string",        "title": "string",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "active_maintenances": [      {        "actual_end_at": "2019-08-24T14:15:22Z",        "actual_start_at": "2019-08-24T14:15:22Z",        "affected_components": [          "string"        ],        "body": "string",        "created_at": "2019-08-24T14:15:22Z",        "id": "string",        "scheduled_end_at": "2019-08-24T14:15:22Z",        "scheduled_start_at": "2019-08-24T14:15:22Z",        "status": "string",        "title": "string",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "provider_state": {      "components": [        {          "description": "string",          "last_live_at": "2019-08-24T14:15:22Z",          "name": "string",          "status": "unknown"        }      ],      "is_stale": true,      "last_live_at": "2019-08-24T14:15:22Z"    },    "status": "unknown",    "updated_at": "2019-08-24T14:15:22Z"  },  "message": "string",  "success": true}